
set_property PACKAGE_PIN F17 [get_ports adc_ext_trigger_p_i]

set_property PACKAGE_PIN F23 [get_ports adc_dco_p_i]
set_property PACKAGE_PIN H19 [get_ports adc_fr_p_i]
set_property PACKAGE_PIN AK14 [get_ports {adc_outa_p_i[0]}]
set_property PACKAGE_PIN J22 [get_ports {adc_outa_p_i[1]}]
set_property PACKAGE_PIN D21 [get_ports {adc_outa_p_i[2]}]
set_property PACKAGE_PIN F20 [get_ports {adc_outa_p_i[3]}]
set_property PACKAGE_PIN N14 [get_ports {adc_outb_p_i[0]}]
set_property PACKAGE_PIN K17 [get_ports {adc_outb_p_i[1]}]
set_property PACKAGE_PIN E19 [get_ports {adc_outb_p_i[2]}]
set_property PACKAGE_PIN B16 [get_ports {adc_outb_p_i[3]}]

set_property PACKAGE_PIN AW7 [get_ports adc_spi_din_i]
set_property PULLUP TRUE [get_ports adc_spi_din_i]
set_property PACKAGE_PIN AU4 [get_ports adc_spi_dout_o]
set_property PACKAGE_PIN AU5 [get_ports adc_spi_sck_o]
set_property PACKAGE_PIN AP9 [get_ports adc_spi_cs_adc_n_o]
set_property PACKAGE_PIN AV12 [get_ports adc_spi_cs_dac1_n_o]
set_property PACKAGE_PIN AW12 [get_ports adc_spi_cs_dac2_n_o]
set_property PACKAGE_PIN AT10 [get_ports adc_spi_cs_dac3_n_o]
set_property PACKAGE_PIN AU10 [get_ports adc_spi_cs_dac4_n_o]

set_property PACKAGE_PIN AP8 [get_ports adc_gpio_dac_clr_n_o]
set_property PACKAGE_PIN AN11 [get_ports adc_gpio_led_acq_o]
set_property PACKAGE_PIN AM11 [get_ports adc_gpio_led_trig_o]
set_property PACKAGE_PIN AP12 [get_ports {adc_gpio_ssr_ch1_o[0]}]
set_property PACKAGE_PIN AR12 [get_ports {adc_gpio_ssr_ch1_o[1]}]
set_property PACKAGE_PIN AR9 [get_ports {adc_gpio_ssr_ch1_o[2]}]
set_property PACKAGE_PIN AW6 [get_ports {adc_gpio_ssr_ch1_o[3]}]
set_property PACKAGE_PIN AT6 [get_ports {adc_gpio_ssr_ch1_o[4]}]
set_property PACKAGE_PIN AT5 [get_ports {adc_gpio_ssr_ch1_o[5]}]
set_property PACKAGE_PIN AM15 [get_ports {adc_gpio_ssr_ch1_o[6]}]
set_property PACKAGE_PIN AJ17 [get_ports {adc_gpio_ssr_ch2_o[0]}]
set_property PACKAGE_PIN AM16 [get_ports {adc_gpio_ssr_ch2_o[1]}]
set_property PACKAGE_PIN K19 [get_ports {adc_gpio_ssr_ch2_o[2]}]
set_property PACKAGE_PIN J19 [get_ports {adc_gpio_ssr_ch2_o[3]}]
set_property PACKAGE_PIN AP5 [get_ports {adc_gpio_ssr_ch2_o[4]}]
set_property PACKAGE_PIN AR10 [get_ports {adc_gpio_ssr_ch2_o[5]}]
set_property PACKAGE_PIN AP4 [get_ports {adc_gpio_ssr_ch2_o[6]}]
set_property PACKAGE_PIN C17 [get_ports {adc_gpio_ssr_ch3_o[0]}]
set_property PACKAGE_PIN C16 [get_ports {adc_gpio_ssr_ch3_o[1]}]
set_property PACKAGE_PIN AH14 [get_ports {adc_gpio_ssr_ch3_o[2]}]
set_property PACKAGE_PIN AJ14 [get_ports {adc_gpio_ssr_ch3_o[3]}]
set_property PACKAGE_PIN AH16 [get_ports {adc_gpio_ssr_ch3_o[4]}]
set_property PACKAGE_PIN AJ16 [get_ports {adc_gpio_ssr_ch3_o[5]}]
set_property PACKAGE_PIN AK17 [get_ports {adc_gpio_ssr_ch3_o[6]}]
set_property PACKAGE_PIN F25 [get_ports {adc_gpio_ssr_ch4_o[0]}]
set_property PACKAGE_PIN E25 [get_ports {adc_gpio_ssr_ch4_o[1]}]
set_property PACKAGE_PIN D24 [get_ports {adc_gpio_ssr_ch4_o[2]}]
set_property PACKAGE_PIN C24 [get_ports {adc_gpio_ssr_ch4_o[3]}]
set_property PACKAGE_PIN A22 [get_ports {adc_gpio_ssr_ch4_o[4]}]
set_property PACKAGE_PIN A18 [get_ports {adc_gpio_ssr_ch4_o[5]}]
set_property PACKAGE_PIN A23 [get_ports {adc_gpio_ssr_ch4_o[6]}]
set_property PACKAGE_PIN A17 [get_ports adc_gpio_si570_oe_o]

set_property PACKAGE_PIN AN12 [get_ports adc_si570_scl_b]
set_property PACKAGE_PIN AN13 [get_ports adc_si570_sda_b]

set_property PACKAGE_PIN AN14 [get_ports adc_one_wire_b]


# IO standard
set_property IOSTANDARD LVDS [get_ports adc_ext_trigger_p_i]

set_property IOSTANDARD LVDS [get_ports adc_dco_p_i]
set_property IOSTANDARD LVDS [get_ports adc_dco_n_i]
set_property IOSTANDARD LVDS [get_ports adc_fr_p_i]
set_property IOSTANDARD LVDS [get_ports adc_fr_n_i]
set_property IOSTANDARD LVDS [get_ports {adc_outa_p_i[*]}]
set_property IOSTANDARD LVDS [get_ports {adc_outa_n_i[*]}]
set_property IOSTANDARD LVDS [get_ports {adc_outb_p_i[*]}]
set_property IOSTANDARD LVDS [get_ports {adc_outb_n_i[*]}]

set_property IOSTANDARD LVCMOS18 [get_ports adc_spi_din_i]
set_property IOSTANDARD LVCMOS18 [get_ports adc_spi_dout_o]
set_property IOSTANDARD LVCMOS18 [get_ports adc_spi_sck_o]
set_property IOSTANDARD LVCMOS18 [get_ports adc_spi_cs_adc_n_o]
set_property IOSTANDARD LVCMOS18 [get_ports adc_spi_cs_dac?_n_o]

set_property IOSTANDARD LVCMOS18 [get_ports adc_gpio_dac_clr_n_o]
set_property IOSTANDARD LVCMOS18 [get_ports adc_gpio_led_acq_o]
set_property IOSTANDARD LVCMOS18 [get_ports adc_gpio_led_trig_o]
set_property IOSTANDARD LVCMOS18 [get_ports {adc_gpio_ssr_ch?_o[*]}]
set_property IOSTANDARD LVCMOS18 [get_ports adc_gpio_si570_oe_o]

set_property IOSTANDARD LVCMOS18 [get_ports adc_si570_scl_b]
set_property IOSTANDARD LVCMOS18 [get_ports adc_si570_sda_b]

set_property IOSTANDARD LVCMOS18 [get_ports adc_one_wire_b]

# internal termination
set_property DIFF_TERM_ADV TERM_100 [get_ports adc_dco_p_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports adc_fr_p_i]
set_property DIFF_TERM_ADV TERM_100 [get_ports {adc_outa_p_i[*]}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {adc_outb_p_i[*]}]


#----------------------------------------
# Clocks
#----------------------------------------

create_clock -period 2.500 -name adc_dco [get_ports adc_dco_p_i]
set_input_jitter [get_clocks adc_dco] 0.030

#create_generated_clock -name adc_dco_mmcm [get_pins pxie_bd_i/fmc_adc/U0/cmp_fmc_adc_mezzanine/cmp_fmc_adc_100Ms_core/gen_adc_ultrascale_receiver.cmp_adc_serdes/cmp_adc_mmcme/CLKOUT0]

#set_input_delay -clock [get_clocks adc_dco] -min $adc_tdata_min [get_ports {adc_fr_?_i}]
#set_input_delay -clock [get_clocks adc_dco] -max $adc_tdata_max [get_ports {adc_fr_?_i}]
#set_input_delay -clock [get_clocks adc_dco] -clock_fall -min -add_delay $adc_tdata_min [get_ports {adc_fr_?_i}]
#set_input_delay -clock [get_clocks adc_dco] -clock_fall -max -add_delay $adc_tdata_max [get_ports {adc_fr_?_i}]
#set_input_delay -clock [get_clocks adc_dco] -min $adc_tdata_min [get_ports {adc_fr_p_i adc_out?_p_i[*]}]
#set_input_delay -clock [get_clocks adc_dco] -max $adc_tdata_max [get_ports {adc_fr_p_i adc_out?_p_i[*]}]
#set_input_delay -clock [get_clocks adc_dco_mmcm] -clock_fall -min -add_delay $fall_min [get_ports {adc_fr_p_i adc_out?_p_i[*]}]
#set_input_delay -clock [get_clocks adc_dco_mmcm] -clock_fall -max -add_delay $fall_max [get_ports {adc_fr_p_i adc_out?_p_i[*]}]

#----------------------------------------
# Cross-clock domain sync
#----------------------------------------

set_false_path -from [get_clocks fs_clk] -to [get_clocks pl_sys_clk]
set_false_path -from [get_clocks pl_sys_clk] -to [get_clocks -of_objects [get_pins */axi_fmc_adc/U0/cmp_fmc_adc_100Ms_core/gen_adc_ultrascale_receiver.cmp_adc_serdes/cmp_adc_dco_bufgce_div/O]]
set_false_path -from [get_clocks pl_sys_clk] -to [get_clocks -of_objects [get_pins pxie_bd_i/pl_ddr4/inst/u_ddr4_infrastructure/gen_mmcme4.u_mmcme_adv_inst/CLKOUT0]]

