#pragma once

#include <stdint.h>
#include "utils.h"

#define I2C_BASE	0x80130000

#define I2C_CTRL_EN		BIT(7)
#define I2C_CTRL_IEN	BIT(6)

#define I2C_CMD_IACK	BIT(0)
#define I2C_CMD_ACK	BIT(3)
#define I2C_CMD_WR	BIT(4)
#define I2C_CMD_RD	BIT(5)
#define I2C_CMD_STO	BIT(6)
#define I2C_CMD_STA	BIT(7)

#define I2C_STATUS_IF	BIT(0)
#define I2C_STATUS_TIP	BIT(1)
#define I2C_STATUS_AL	BIT(5)
#define I2C_STATUS_BUSY	BIT(6)
#define I2C_STATUS_ACK	BIT(7)


struct i2c_dev {
	volatile uint32_t prer_lo;
	volatile uint32_t prer_hi;
	volatile uint32_t ctr;
	volatile uint32_t tx_rx;
	volatile uint32_t cr_sr;
};

int i2c_init(struct i2c_dev *i2c);
int i2c_write(struct i2c_dev *i2c, int8_t dev_addr, int8_t addr, uint8_t *data,
		size_t size);
int i2c_write_byte(struct i2c_dev *i2c, int8_t dev_addr, int8_t addr, uint8_t data);
int i2c_read(struct i2c_dev *i2c, int8_t dev_addr, int8_t addr, uint8_t *data,
		size_t size);
