#pragma once

#include <stdint.h>

#define SPI_BASE	0x80150000

/* SPI register */
#define FA_SPI_RX(x) (x * 4)
#define FA_SPI_TX(x) (x * 4)
#define FA_SPI_CTRL 0x10
#define FA_SPI_DIV 0x14
#define FA_SPI_CS 0x18
#define FA_SPI_SS_ADC		0
#define FA_SPI_SS_DAC(ch)	((ch) + 1)

/* SPI control register fields mask */
#define FA_SPI_CTRL_CHAR_LEN	0x007F
#define FA_SPI_CTRL_GO		0x0100 /* go/busy */
#define FA_SPI_CTRL_BUSY	0x0100 /* go/busy */
#define FA_SPI_CTRL_Rx_NEG	0x0200
#define FA_SPI_CTRL_Tx_NEG	0x0400
#define FA_SPI_CTRL_LSB		0x0800
#define FA_SPI_CTRL_IE		0x1000
#define FA_SPI_CTRL_ASS		0x2000

struct spi_dev {
	volatile uint32_t tx_rx[4];
	volatile uint32_t ctrl;
	volatile uint32_t divider;
	volatile uint32_t ss;
};

int fa_spi_init(struct spi_dev *spi);
int fa_spi_xfer(struct spi_dev *spi, int cs, int num_bits, uint32_t tx,
		uint32_t *rx);
